Bug 7888 - Should you enter wrong password, all following atttempts result in error
Should you enter wrong password, all following atttempts result in error
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.6
Other FreeBSD
: P3 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-25 03:26 UTC by Jean-Yves Avenard
Modified: 2011-09-28 18:26 UTC (History)
2 users (show)

See Also:


Attachments
All log.winbind (9.99 KB, application/x-gzip)
2010-12-25 04:13 UTC, Jean-Yves Avenard
no flags Details
log.wb-* (20.27 KB, application/x-gzip)
2010-12-26 03:28 UTC, Jean-Yves Avenard
no flags Details
New archive with all winbind and wb-* log (42.39 KB, application/x-gzip)
2010-12-26 05:15 UTC, Jean-Yves Avenard
no flags Details
The whole samba log directory (118.19 KB, application/x-gzip)
2010-12-26 05:49 UTC, Jean-Yves Avenard
no flags Details
Patch for 3.5 (2.54 KB, patch)
2011-03-05 14:47 UTC, Volker Lendecke
no flags Details
Equivalent patch for 3.6 (1.73 KB, patch)
2011-03-05 15:45 UTC, Volker Lendecke
no flags Details
patch for 3.6 (1.84 KB, patch)
2011-06-30 07:53 UTC, Guenther Deschner
metze: review+
Details
v3-5-test.patch (2.81 KB, patch)
2011-09-28 16:14 UTC, Guenther Deschner
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Avenard 2010-12-25 03:26:29 UTC
System setup:
samba server acting as PDC running Samba 3.0.28a-apple.

Test system, Samba 3.5.6 as client.

Trying to access any shares on the samba 3.5.6 server works until one type an invalid password. Once you've entered an invalid password, any further attempt to login, no matter the account or shares, will fail with:
session setup failed: NT code 0x1c010002

The only way to be able to login again is if you restart samba.

Issues only occurs with 3.5 series, 3.0, 3.2, 3.3, 3.4 are fine.

Sorry, not sure which component should be selected.
Comment 1 Jean-Yves Avenard 2010-12-25 03:29:13 UTC
Log of a successful session.

[2010/12/25 20:25:50.766355,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:25:50.766388,  5] auth/auth_util.c:211(make_user_info_map)
  Mapping user [HYDRIX]\[avenardj] from workstation [SERVER4]
[2010/12/25 20:25:50.766739,  5] auth/auth_util.c:122(make_user_info)
  attempting to make a user_info for avenardj (avenardj)
[2010/12/25 20:25:50.766758,  5] auth/auth_util.c:132(make_user_info)
  making strings for avenardj's user_info struct
[2010/12/25 20:25:50.766772,  5] auth/auth_util.c:164(make_user_info)
  making blobs for avenardj's user_info struct
[2010/12/25 20:25:50.766791, 10] auth/auth_util.c:182(make_user_info)
  made an encrypted user_info for avenardj (avenardj)
[2010/12/25 20:25:50.766810,  3] auth/auth.c:216(check_ntlm_password)
  check_ntlm_password:  Checking password for unmapped user [HYDRIX]\[avenardj]@[SERVER4] with the new password interface
[2010/12/25 20:25:50.766827,  3] auth/auth.c:219(check_ntlm_password)
  check_ntlm_password:  mapped user is: [HYDRIX]\[avenardj]@[SERVER4]
[2010/12/25 20:25:50.766853, 10] auth/auth.c:228(check_ntlm_password)
  check_ntlm_password: auth_context challenge created by NTLMSSP callback (NTLM2)
[2010/12/25 20:25:50.766870, 10] auth/auth.c:230(check_ntlm_password)
  challenge is: 
[2010/12/25 20:25:50.766886,  5] ../lib/util/util.c:278(_dump_data)
  [0000] D1 4F 0A 74 EC 38 52 46                            .O.t.8RF 
[2010/12/25 20:25:50.766915, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: guest had nothing to say
[2010/12/25 20:25:50.766934,  8] lib/util.c:1869(is_myname)
  is_myname("HYDRIX") returns 0
[2010/12/25 20:25:50.766955,  6] auth/auth_sam.c:556(check_samstrict_security)
  check_samstrict_security: HYDRIX is not one of my local names (ROLE_DOMAIN_MEMBER)
[2010/12/25 20:25:50.766973, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: sam had nothing to say
[2010/12/25 20:25:50.766990,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.767014,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.767032,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.767047,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.767063,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.881124,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.881150,  5] lib/username.c:133(Get_Pwnam_alloc)
  Finding user HYDRIX\avenardj
[2010/12/25 20:25:50.881165,  5] lib/username.c:77(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is hydrix\avenardj
[2010/12/25 20:25:50.897603,  5] lib/username.c:85(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as given is HYDRIX\avenardj
[2010/12/25 20:25:50.898076,  5] lib/username.c:95(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as uppercase is HYDRIX\AVENARDJ
[2010/12/25 20:25:50.898500,  5] lib/username.c:104(Get_Pwnam_internals)
  Checking combinations of 0 uppercase letters in hydrix\avenardj
[2010/12/25 20:25:50.898530,  5] lib/username.c:110(Get_Pwnam_internals)
  Get_Pwnam_internals didn't find user [HYDRIX\avenardj]!
[2010/12/25 20:25:50.898547,  5] lib/username.c:133(Get_Pwnam_alloc)
  Finding user avenardj
[2010/12/25 20:25:50.898562,  5] lib/username.c:77(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is avenardj
[2010/12/25 20:25:50.899188,  5] lib/username.c:110(Get_Pwnam_internals)
  Get_Pwnam_internals did find user [avenardj]!
[2010/12/25 20:25:50.899205,  5] auth/auth_util.c:1522(fill_sam_account)
  fill_sam_account: located username was [jeanyves_avenard]
[2010/12/25 20:25:50.899220, 10] passdb/pdb_get_set.c:608(pdb_set_username)
  pdb_set_username: setting username jeanyves_avenard, was 
[2010/12/25 20:25:50.899239, 10] passdb/pdb_get_set.c:677(pdb_set_fullname)
  pdb_set_full_name: setting full name Jean-Yves Avenard, was 
[2010/12/25 20:25:50.899264, 10] passdb/pdb_get_set.c:631(pdb_set_domain)
  pdb_set_domain: setting domain SERVER4, was 
[2010/12/25 20:25:50.899286,  4] lib/substitute.c:504(automount_server)
  Home server: server4
[2010/12/25 20:25:50.899308, 10] passdb/pdb_get_set.c:723(pdb_set_profile_path)
  pdb_set_profile_path: setting profile path \\server4\jeanyves_avenard\profile, was 
[2010/12/25 20:25:50.899336, 10] passdb/pdb_get_set.c:770(pdb_set_homedir)
  pdb_set_homedir: setting home dir /pool/home/jeanyves_avenard, was 
[2010/12/25 20:25:50.899357, 10] passdb/pdb_get_set.c:746(pdb_set_dir_drive)
  pdb_set_dir_drive: setting dir drive , was NULL
[2010/12/25 20:25:50.899375, 10] passdb/pdb_get_set.c:700(pdb_set_logon_script)
  pdb_set_logon_script: setting logon script , was 
[2010/12/25 20:25:50.899393, 10] passdb/pdb_get_set.c:537(pdb_set_user_sid)
  pdb_set_user_sid: setting user sid S-1-5-21-1303986770-3545483917-1813766081-3002
[2010/12/25 20:25:50.899420, 10] passdb/pdb_compat.c:72(pdb_set_user_sid_from_rid)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-1303986770-3545483917-1813766081-3002 from rid 3002
[2010/12/25 20:25:50.899448, 10] passdb/pdb_get_set.c:654(pdb_set_nt_username)
  pdb_set_nt_username: setting nt username jeanyves_avenard, was 
[2010/12/25 20:25:50.899464, 10] passdb/pdb_get_set.c:608(pdb_set_username)
  pdb_set_username: setting username jeanyves_avenard, was jeanyves_avenard
[2010/12/25 20:25:50.899481, 10] passdb/pdb_get_set.c:631(pdb_set_domain)
  pdb_set_domain: setting domain HYDRIX, was SERVER4
[2010/12/25 20:25:50.899498, 10] passdb/pdb_get_set.c:537(pdb_set_user_sid)
  pdb_set_user_sid: setting user sid S-1-5-21-1278045384-1068372184-3281002054-3002
[2010/12/25 20:25:50.899537, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1606410624 couldn't be found 
[2010/12/25 20:25:50.922570, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1606410624
[2010/12/25 20:25:50.922594, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1606410624
[2010/12/25 20:25:50.922611, 10] passdb/pdb_get_set.c:595(pdb_set_group_sid)
  pdb_set_group_sid: setting group sid S-1-5-21-1303986770-3545483917-1813766081-513
[2010/12/25 20:25:50.922632, 10] passdb/pdb_get_set.c:677(pdb_set_fullname)
  pdb_set_full_name: setting full name Jean-Yves Avenard, was Jean-Yves Avenard
[2010/12/25 20:25:50.922648, 10] passdb/pdb_get_set.c:700(pdb_set_logon_script)
  pdb_set_logon_script: setting logon script logon.bat, was 
[2010/12/25 20:25:50.922664, 10] passdb/pdb_get_set.c:723(pdb_set_profile_path)
  pdb_set_profile_path: setting profile path , was \\server4\jeanyves_avenard\profile
[2010/12/25 20:25:50.922681, 10] passdb/pdb_get_set.c:770(pdb_set_homedir)
  pdb_set_homedir: setting home dir , was /pool/home/jeanyves_avenard
[2010/12/25 20:25:50.922708, 10] passdb/pdb_get_set.c:746(pdb_set_dir_drive)
  pdb_set_dir_drive: setting dir drive H:, was 
[2010/12/25 20:25:50.922732,  3] auth/auth.c:265(check_ntlm_password)
  check_ntlm_password: winbind authentication for user [avenardj] succeeded
[2010/12/25 20:25:50.922752,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.922771,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.922788,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.922804,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.922819,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.922861,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.922875,  5] auth/auth.c:291(check_ntlm_password)
  check_ntlm_password:  PAM Account for user [jeanyves_avenard] succeeded
[2010/12/25 20:25:50.922890,  2] auth/auth.c:304(check_ntlm_password)
  check_ntlm_password:  authentication for user [avenardj] -> [avenardj] -> [jeanyves_avenard] succeeded
[2010/12/25 20:25:50.922907,  5] auth/auth_util.c:2119(free_user_info)
  attempting to free (and zero) a user_info structure
[2010/12/25 20:25:50.922922, 10] auth/auth_util.c:2123(free_user_info)
  structure was created for avenardj
[2010/12/25 20:25:50.922999, 10] auth/token_util.c:356(create_local_nt_token)
  Create local NT token for S-1-5-21-1278045384-1068372184-3281002054-3002
[2010/12/25 20:25:50.923089, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-544, value = -1, timeout = Sat Dec 25 20:27:30 2010
[2010/12/25 20:25:50.923111,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923130,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.923155,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923170,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.923191,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.923279,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.923294, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-544
[2010/12/25 20:25:50.923311,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923329,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.923345,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923361,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.923377,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.923428, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-544, value = -1, timeout = Sat Dec 25 20:27:30 2010
[2010/12/25 20:25:50.923449,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2010/12/25 20:25:50.923468,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923484,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2010/12/25 20:25:50.923500,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.923514,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.923595,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.923610, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-544
[2010/12/25 20:25:50.923684, 10] groupdb/mapping.c:766(pdb_create_builtin_alias)
  Trying to create builtin alias 544
[2010/12/25 20:25:50.923711, 10] passdb/lookup_sid.c:965(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-544'
[2010/12/25 20:25:50.923732, 10] passdb/lookup_sid.c:720(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2010/12/25 20:25:50.923751, 10] passdb/lookup_sid.c:480(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2010/12/25 20:25:50.923771, 10] passdb/lookup_sid.c:1000(lookup_sid)
  Sid S-1-5-32-544 -> BUILTIN\Administrators(4)
[2010/12/25 20:25:50.924082,  3] groupdb/mapping.c:787(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2010/12/25 20:25:50.924102,  5] auth/token_util.c:306(create_builtin_administrators)
  create_builtin_administrators: Failed to create Administrators
[2010/12/25 20:25:50.924128,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.924146,  2] auth/token_util.c:453(create_local_nt_token)
  WARNING: Failed to create BUILTIN\Administrators group!  Can Winbind allocate gids?
[2010/12/25 20:25:50.924175, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-545, value = -1, timeout = Sat Dec 25 20:27:30 2010
[2010/12/25 20:25:50.924205,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924223,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.924239,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924255,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.924274,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.924350,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.924365, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-545
[2010/12/25 20:25:50.924382,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924400,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.924417,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924433,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.924452,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.924503, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-545, value = -1, timeout = Sat Dec 25 20:27:30 2010
[2010/12/25 20:25:50.924524,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2010/12/25 20:25:50.924543,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924559,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2010/12/25 20:25:50.924582,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.924597,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.924664,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.924682, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-545
[2010/12/25 20:25:50.924761, 10] groupdb/mapping.c:766(pdb_create_builtin_alias)
  Trying to create builtin alias 545
[2010/12/25 20:25:50.924802, 10] passdb/lookup_sid.c:965(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-545'
[2010/12/25 20:25:50.924822, 10] passdb/lookup_sid.c:720(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2010/12/25 20:25:50.924840, 10] passdb/lookup_sid.c:480(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2010/12/25 20:25:50.924860, 10] passdb/lookup_sid.c:1000(lookup_sid)
  Sid S-1-5-32-545 -> BUILTIN\Users(4)
[2010/12/25 20:25:50.925147,  3] groupdb/mapping.c:787(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2010/12/25 20:25:50.925162,  5] auth/token_util.c:277(create_builtin_users)
  create_builtin_users: Failed to create Users
[2010/12/25 20:25:50.925190,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.925211,  2] auth/token_util.c:477(create_local_nt_token)
  WARNING: Failed to create BUILTIN\Users group! Can Winbind allocate gids?
[2010/12/25 20:25:50.925228,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.925246,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:25:50.925261,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:25:50.925276,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:25:50.925295,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:25:50.926799,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:25:50.926824,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3002]
[2010/12/25 20:25:50.926853,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3073]
[2010/12/25 20:25:50.926889,  5] lib/privileges.c:128(get_privileges_for_sids)
  get_privileges_for_sids: sid = S-1-1-0
  Privilege set:
  SE_PRIV  0x0 0x0 0x0 0x0
[2010/12/25 20:25:50.926933,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-2]
[2010/12/25 20:25:50.926961,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-11]
[2010/12/25 20:25:50.926988,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7133]
[2010/12/25 20:25:50.927015,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7061]
[2010/12/25 20:25:50.927043,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3069]
[2010/12/25 20:25:50.927071,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3071]
[2010/12/25 20:25:50.927098,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7011]
[2010/12/25 20:25:50.927127,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7063]

Comment 2 Jean-Yves Avenard 2010-12-25 03:30:39 UTC
entered wrong password:
% smbclient -U avenardj //server4/homes
Enter avenardj's password: 
session setup failed: NT code 0x1c010002

in the logs:

[2010/12/25 20:28:04.155608,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:28:04.155641,  5] auth/auth_util.c:211(make_user_info_map)
  Mapping user [HYDRIX]\[avenardj] from workstation [SERVER4]
[2010/12/25 20:28:04.155965,  5] auth/auth_util.c:122(make_user_info)
  attempting to make a user_info for avenardj (avenardj)
[2010/12/25 20:28:04.155984,  5] auth/auth_util.c:132(make_user_info)
  making strings for avenardj's user_info struct
[2010/12/25 20:28:04.155998,  5] auth/auth_util.c:164(make_user_info)
  making blobs for avenardj's user_info struct
[2010/12/25 20:28:04.156027, 10] auth/auth_util.c:182(make_user_info)
  made an encrypted user_info for avenardj (avenardj)
[2010/12/25 20:28:04.156048,  3] auth/auth.c:216(check_ntlm_password)
  check_ntlm_password:  Checking password for unmapped user [HYDRIX]\[avenardj]@[SERVER4] with the new password interface
[2010/12/25 20:28:04.156067,  3] auth/auth.c:219(check_ntlm_password)
  check_ntlm_password:  mapped user is: [HYDRIX]\[avenardj]@[SERVER4]
[2010/12/25 20:28:04.156084, 10] auth/auth.c:228(check_ntlm_password)
  check_ntlm_password: auth_context challenge created by NTLMSSP callback (NTLM2)
[2010/12/25 20:28:04.156098, 10] auth/auth.c:230(check_ntlm_password)
  challenge is: 
[2010/12/25 20:28:04.156114,  5] ../lib/util/util.c:278(_dump_data)
  [0000] 5D 4A AF 6D DB FE 8B DC                            ]J.m.... 
[2010/12/25 20:28:04.156141, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: guest had nothing to say
[2010/12/25 20:28:04.156167,  8] lib/util.c:1869(is_myname)
  is_myname("HYDRIX") returns 0
[2010/12/25 20:28:04.156187,  6] auth/auth_sam.c:556(check_samstrict_security)
  check_samstrict_security: HYDRIX is not one of my local names (ROLE_DOMAIN_MEMBER)
[2010/12/25 20:28:04.156204, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: sam had nothing to say
[2010/12/25 20:28:04.156224,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:28:04.156244,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:28:04.156261,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:28:04.156282,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:28:04.156298,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:28:04.203718,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:28:04.203734, 10] auth/auth_winbind.c:85(check_winbind_security)
  check_winbind_security: wbcAuthenticateUserEx failed: WBC_ERR_AUTH_ERROR
[2010/12/25 20:28:04.203755,  5] auth/auth.c:268(check_ntlm_password)
  check_ntlm_password: winbind authentication for user [avenardj] FAILED with error NT code 0x1c010002
[2010/12/25 20:28:04.203777,  2] auth/auth.c:314(check_ntlm_password)
  check_ntlm_password:  Authentication for user [avenardj] -> [avenardj] FAILED with error NT code 0x1c010002
[2010/12/25 20:28:04.203797,  5] auth/auth_util.c:2119(free_user_info)
  attempting to free (and zero) a user_info structure
[2010/12/25 20:28:04.203814, 10] auth/auth_util.c:2123(free_user_info)
  structure was created for avenardj
[2010/12/25 20:28:04.203842,  3] smbd/error.c:80(error_packet_set)
  error packet at smbd/sesssetup.c(111) cmd=115 (SMBsesssetupX) NT code 0x1c010002
[2010/12/25 20:28:04.203870,  5] lib/util.c:617(show_msg)
[2010/12/25 20:28:04.203882,  5] lib/util.c:627(show_msg)
  size=35
  smb_com=0x73
  smb_rcls=2
  smb_reh=0
  smb_err=7169
  smb_flg=136
  smb_flg2=51203
  smb_tid=0
  smb_pid=56744
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2010/12/25 20:28:04.204050,  5] lib/util_sock.c:462(read_fd_with_timeout)
  read_fd_with_timeout: blocking read. EOF from client.
[2010/12/25 20:28:04.204066, 10] smbd/process.c:286(receive_smb_raw_talloc)
  receive_smb_raw: NT_STATUS_END_OF_FILE
[2010/12/25 20:28:04.204081,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:28:04.204098,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:28:04.204326,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:28:04.204369,  5] smbd/uid.c:369(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2010/12/25 20:28:04.204395,  3] smbd/connection.c:31(yield_connection)
  Yielding connection to 
[2010/12/25 20:28:04.204461, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key AADD0000FFFFFFFF0000
[2010/12/25 20:28:04.204491, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x0x80381b450
[2010/12/25 20:28:04.204539, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key AADD0000FFFFFFFF0000
[2010/12/25 20:28:04.204687,  3] smbd/server.c:902(exit_server_common)
  Server exit (failed to receive smb request)
Comment 3 Jean-Yves Avenard 2010-12-25 03:33:10 UTC
Following entering an incorrect password. Log again:
% smbclient -U avenardj //server4/homes
Enter avenardj's password: 
session setup failed: NT code 0x1c010002

(note that the password was entered correctly)

[2010/12/25 20:29:37.076715,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:29:37.076749,  5] auth/auth_util.c:211(make_user_info_map)
  Mapping user [HYDRIX]\[avenardj] from workstation [SERVER4]
[2010/12/25 20:29:37.077079,  5] auth/auth_util.c:122(make_user_info)
  attempting to make a user_info for avenardj (avenardj)
[2010/12/25 20:29:37.077098,  5] auth/auth_util.c:132(make_user_info)
  making strings for avenardj's user_info struct
[2010/12/25 20:29:37.077112,  5] auth/auth_util.c:164(make_user_info)
  making blobs for avenardj's user_info struct
[2010/12/25 20:29:37.077133, 10] auth/auth_util.c:182(make_user_info)
  made an encrypted user_info for avenardj (avenardj)
[2010/12/25 20:29:37.077151,  3] auth/auth.c:216(check_ntlm_password)
  check_ntlm_password:  Checking password for unmapped user [HYDRIX]\[avenardj]@[SERVER4] with the new password interface
[2010/12/25 20:29:37.077169,  3] auth/auth.c:219(check_ntlm_password)
  check_ntlm_password:  mapped user is: [HYDRIX]\[avenardj]@[SERVER4]
[2010/12/25 20:29:37.077186, 10] auth/auth.c:228(check_ntlm_password)
  check_ntlm_password: auth_context challenge created by NTLMSSP callback (NTLM2)
[2010/12/25 20:29:37.077201, 10] auth/auth.c:230(check_ntlm_password)
  challenge is: 
[2010/12/25 20:29:37.077220,  5] ../lib/util/util.c:278(_dump_data)
  [0000] 79 A1 E6 BF A8 19 2E BC                            y....... 
[2010/12/25 20:29:37.077250, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: guest had nothing to say
[2010/12/25 20:29:37.077280,  8] lib/util.c:1869(is_myname)
  is_myname("HYDRIX") returns 0
[2010/12/25 20:29:37.077298,  6] auth/auth_sam.c:556(check_samstrict_security)
  check_samstrict_security: HYDRIX is not one of my local names (ROLE_DOMAIN_MEMBER)
[2010/12/25 20:29:37.077314, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: sam had nothing to say
[2010/12/25 20:29:37.077334,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:29:37.077354,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:29:37.077372,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:29:37.077388,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:29:37.077404,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:29:37.078791,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:29:37.078807, 10] auth/auth_winbind.c:85(check_winbind_security)
  check_winbind_security: wbcAuthenticateUserEx failed: WBC_ERR_AUTH_ERROR
[2010/12/25 20:29:37.078820,  5] auth/auth.c:268(check_ntlm_password)
  check_ntlm_password: winbind authentication for user [avenardj] FAILED with error NT code 0x1c010002
[2010/12/25 20:29:37.078841,  2] auth/auth.c:314(check_ntlm_password)
  check_ntlm_password:  Authentication for user [avenardj] -> [avenardj] FAILED with error NT code 0x1c010002
[2010/12/25 20:29:37.078859,  5] auth/auth_util.c:2119(free_user_info)
  attempting to free (and zero) a user_info structure
[2010/12/25 20:29:37.078874, 10] auth/auth_util.c:2123(free_user_info)
  structure was created for avenardj
[2010/12/25 20:29:37.078896,  3] smbd/error.c:80(error_packet_set)
  error packet at smbd/sesssetup.c(111) cmd=115 (SMBsesssetupX) NT code 0x1c010002
[2010/12/25 20:29:37.078922,  5] lib/util.c:617(show_msg)
[2010/12/25 20:29:37.078933,  5] lib/util.c:627(show_msg)
  size=35
  smb_com=0x73
  smb_rcls=2
  smb_reh=0
  smb_err=7169
  smb_flg=136
  smb_flg2=51203
  smb_tid=0
  smb_pid=56799
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2010/12/25 20:29:37.079094,  5] lib/util_sock.c:462(read_fd_with_timeout)
  read_fd_with_timeout: blocking read. EOF from client.
[2010/12/25 20:29:37.079113, 10] smbd/process.c:286(receive_smb_raw_talloc)
  receive_smb_raw: NT_STATUS_END_OF_FILE
[2010/12/25 20:29:37.079126,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:29:37.079146,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:29:37.079163,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:29:37.079196,  5] smbd/uid.c:369(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2010/12/25 20:29:37.079386,  3] smbd/connection.c:31(yield_connection)
  Yielding connection to 
[2010/12/25 20:29:37.079447, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key E0DD0000FFFFFFFF0000
[2010/12/25 20:29:37.079471, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x0x80381b450
[2010/12/25 20:29:37.079518, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key E0DD0000FFFFFFFF0000
[2010/12/25 20:29:37.079670,  3] smbd/server.c:902(exit_server_common)
  Server exit (failed to receive smb request)

Comment 4 Jean-Yves Avenard 2010-12-25 03:37:14 UTC
Trying to log using a different username, on a different share:
# smbclient -U andrew.stephens //server4/elec
Enter andrew.stephens's password: 
session setup failed: NT code 0x1c010002
(good password was entered)

Log:
[2010/12/25 20:33:38.050515,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:33:38.050548,  5] auth/auth_util.c:211(make_user_info_map)
  Mapping user [HYDRIX]\[andrew.stephens] from workstation [SERVER4]
[2010/12/25 20:33:38.050885,  5] auth/auth_util.c:122(make_user_info)
  attempting to make a user_info for andrew.stephens (andrew.stephens)
[2010/12/25 20:33:38.050905,  5] auth/auth_util.c:132(make_user_info)
  making strings for andrew.stephens's user_info struct
[2010/12/25 20:33:38.050917,  5] auth/auth_util.c:164(make_user_info)
  making blobs for andrew.stephens's user_info struct
[2010/12/25 20:33:38.050927, 10] auth/auth_util.c:182(make_user_info)
  made an encrypted user_info for andrew.stephens (andrew.stephens)
[2010/12/25 20:33:38.050939,  3] auth/auth.c:216(check_ntlm_password)
  check_ntlm_password:  Checking password for unmapped user [HYDRIX]\[andrew.stephens]@[SERVER4] with the new password interface
[2010/12/25 20:33:38.050956,  3] auth/auth.c:219(check_ntlm_password)
  check_ntlm_password:  mapped user is: [HYDRIX]\[andrew.stephens]@[SERVER4]
[2010/12/25 20:33:38.050967, 10] auth/auth.c:228(check_ntlm_password)
  check_ntlm_password: auth_context challenge created by NTLMSSP callback (NTLM2)
[2010/12/25 20:33:38.050975, 10] auth/auth.c:230(check_ntlm_password)
  challenge is: 
[2010/12/25 20:33:38.050989,  5] ../lib/util/util.c:278(_dump_data)
  [0000] CB 40 71 61 04 CC A0 B4                            .@qa.... 
[2010/12/25 20:33:38.051006, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: guest had nothing to say
[2010/12/25 20:33:38.051018,  8] lib/util.c:1869(is_myname)
  is_myname("HYDRIX") returns 0
[2010/12/25 20:33:38.051030,  6] auth/auth_sam.c:556(check_samstrict_security)
  check_samstrict_security: HYDRIX is not one of my local names (ROLE_DOMAIN_MEMBER)
[2010/12/25 20:33:38.051039, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: sam had nothing to say
[2010/12/25 20:33:38.051050,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:33:38.051078,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:33:38.051099,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:33:38.051109,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:33:38.051118,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:33:38.052473,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:33:38.052491, 10] auth/auth_winbind.c:85(check_winbind_security)
  check_winbind_security: wbcAuthenticateUserEx failed: WBC_ERR_AUTH_ERROR
[2010/12/25 20:33:38.052507,  5] auth/auth.c:268(check_ntlm_password)
  check_ntlm_password: winbind authentication for user [andrew.stephens] FAILED with error NT code 0x1c010002
[2010/12/25 20:33:38.052521,  2] auth/auth.c:314(check_ntlm_password)
  check_ntlm_password:  Authentication for user [andrew.stephens] -> [andrew.stephens] FAILED with error NT code 0x1c010002
[2010/12/25 20:33:38.052536,  5] auth/auth_util.c:2119(free_user_info)
  attempting to free (and zero) a user_info structure
[2010/12/25 20:33:38.052545, 10] auth/auth_util.c:2123(free_user_info)
  structure was created for andrew.stephens
[2010/12/25 20:33:38.052558,  3] smbd/error.c:80(error_packet_set)
  error packet at smbd/sesssetup.c(111) cmd=115 (SMBsesssetupX) NT code 0x1c010002
[2010/12/25 20:33:38.052574,  5] lib/util.c:617(show_msg)
[2010/12/25 20:33:38.052581,  5] lib/util.c:627(show_msg)
  size=35
  smb_com=0x73
  smb_rcls=2
  smb_reh=0
  smb_err=7169
  smb_flg=136
  smb_flg2=51203
  smb_tid=0
  smb_pid=56914
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2010/12/25 20:33:38.052712,  5] lib/util_sock.c:462(read_fd_with_timeout)
  read_fd_with_timeout: blocking read. EOF from client.
[2010/12/25 20:33:38.052728, 10] smbd/process.c:286(receive_smb_raw_talloc)
  receive_smb_raw: NT_STATUS_END_OF_FILE
[2010/12/25 20:33:38.052738,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:33:38.052758,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:33:38.052769,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:33:38.052981,  5] smbd/uid.c:369(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2010/12/25 20:33:38.053004,  3] smbd/connection.c:31(yield_connection)
  Yielding connection to 
[2010/12/25 20:33:38.053054, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key 53DE0000FFFFFFFF0000
[2010/12/25 20:33:38.053070, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x0x80381b450
[2010/12/25 20:33:38.053101, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key 53DE0000FFFFFFFF0000
[2010/12/25 20:33:38.053237,  3] smbd/server.c:902(exit_server_common)
  Server exit (failed to receive smb request)
Comment 5 Jean-Yves Avenard 2010-12-25 03:40:24 UTC
Resterting samba:
# /usr/local/etc/rc.d/samba restart
Performing sanity check on Samba configuration: OK
Stopping winbindd.
Stopping smbd.
Waiting for PIDS: 57333.
Stopping nmbd.
Waiting for PIDS: 57327.
Removing stale Samba tdb files: ........ done
Starting nmbd.
Starting smbd.
Starting winbindd.
[root@server4 /pool/home/jeanyves_avenard]# smbclient -U andrew.stephens //server4/homes
Enter andrew.stephens's password: 
Domain=[HYDRIX] OS=[Unix] Server=[Samba 3.5.6]
smb: \> 

Log:
[2010/12/25 20:38:03.544709,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:38:03.544745,  5] auth/auth_util.c:211(make_user_info_map)
  Mapping user [HYDRIX]\[andrew.stephens] from workstation [SERVER4]
[2010/12/25 20:38:03.545086,  5] auth/auth_util.c:122(make_user_info)
  attempting to make a user_info for andrew.stephens (andrew.stephens)
[2010/12/25 20:38:03.545104,  5] auth/auth_util.c:132(make_user_info)
  making strings for andrew.stephens's user_info struct
[2010/12/25 20:38:03.545118,  5] auth/auth_util.c:164(make_user_info)
  making blobs for andrew.stephens's user_info struct
[2010/12/25 20:38:03.545138, 10] auth/auth_util.c:182(make_user_info)
  made an encrypted user_info for andrew.stephens (andrew.stephens)
[2010/12/25 20:38:03.545185,  3] auth/auth.c:216(check_ntlm_password)
  check_ntlm_password:  Checking password for unmapped user [HYDRIX]\[andrew.stephens]@[SERVER4] with the new password interface
[2010/12/25 20:38:03.545225,  3] auth/auth.c:219(check_ntlm_password)
  check_ntlm_password:  mapped user is: [HYDRIX]\[andrew.stephens]@[SERVER4]
[2010/12/25 20:38:03.545250, 10] auth/auth.c:228(check_ntlm_password)
  check_ntlm_password: auth_context challenge created by NTLMSSP callback (NTLM2)
[2010/12/25 20:38:03.545295, 10] auth/auth.c:230(check_ntlm_password)
  challenge is: 
[2010/12/25 20:38:03.545328,  5] ../lib/util/util.c:278(_dump_data)
  [0000] 68 A0 C2 A9 EA FF CB D4                            h....... 
[2010/12/25 20:38:03.545362, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: guest had nothing to say
[2010/12/25 20:38:03.545396,  8] lib/util.c:1869(is_myname)
  is_myname("HYDRIX") returns 0
[2010/12/25 20:38:03.545414,  6] auth/auth_sam.c:556(check_samstrict_security)
  check_samstrict_security: HYDRIX is not one of my local names (ROLE_DOMAIN_MEMBER)
[2010/12/25 20:38:03.545450, 10] auth/auth.c:256(check_ntlm_password)
  check_ntlm_password: sam had nothing to say
[2010/12/25 20:38:03.545470,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.545512,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.545533,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.545544,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.545554,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.619838,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.619860,  5] lib/username.c:133(Get_Pwnam_alloc)
  Finding user HYDRIX\andrew.stephens
[2010/12/25 20:38:03.619871,  5] lib/username.c:77(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is hydrix\andrew.stephens
[2010/12/25 20:38:03.633899,  5] lib/username.c:85(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as given is HYDRIX\andrew.stephens
[2010/12/25 20:38:03.634315,  5] lib/username.c:95(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as uppercase is HYDRIX\ANDREW.STEPHENS
[2010/12/25 20:38:03.634734,  5] lib/username.c:104(Get_Pwnam_internals)
  Checking combinations of 0 uppercase letters in hydrix\andrew.stephens
[2010/12/25 20:38:03.634760,  5] lib/username.c:110(Get_Pwnam_internals)
  Get_Pwnam_internals didn't find user [HYDRIX\andrew.stephens]!
[2010/12/25 20:38:03.634777,  5] lib/username.c:133(Get_Pwnam_alloc)
  Finding user andrew.stephens
[2010/12/25 20:38:03.634793,  5] lib/username.c:77(Get_Pwnam_internals)
  Trying _Get_Pwnam(), username as lowercase is andrew.stephens
[2010/12/25 20:38:03.635358,  5] lib/username.c:110(Get_Pwnam_internals)
  Get_Pwnam_internals did find user [andrew.stephens]!
[2010/12/25 20:38:03.635375,  5] auth/auth_util.c:1522(fill_sam_account)
  fill_sam_account: located username was [andrew_stephens]
[2010/12/25 20:38:03.635386, 10] passdb/pdb_get_set.c:608(pdb_set_username)
  pdb_set_username: setting username andrew_stephens, was 
[2010/12/25 20:38:03.635398, 10] passdb/pdb_get_set.c:677(pdb_set_fullname)
  pdb_set_full_name: setting full name Andrew Stephens, was 
[2010/12/25 20:38:03.635409, 10] passdb/pdb_get_set.c:631(pdb_set_domain)
  pdb_set_domain: setting domain SERVER4, was 
[2010/12/25 20:38:03.635435,  4] lib/substitute.c:504(automount_server)
  Home server: server4
[2010/12/25 20:38:03.635451, 10] passdb/pdb_get_set.c:723(pdb_set_profile_path)
  pdb_set_profile_path: setting profile path \\server4\andrew_stephens\profile, was 
[2010/12/25 20:38:03.635467, 10] passdb/pdb_get_set.c:770(pdb_set_homedir)
  pdb_set_homedir: setting home dir /pool/home/andrew_stephens, was 
[2010/12/25 20:38:03.635479, 10] passdb/pdb_get_set.c:746(pdb_set_dir_drive)
  pdb_set_dir_drive: setting dir drive , was NULL
[2010/12/25 20:38:03.635500, 10] passdb/pdb_get_set.c:700(pdb_set_logon_script)
  pdb_set_logon_script: setting logon script , was 
[2010/12/25 20:38:03.635516, 10] passdb/pdb_get_set.c:537(pdb_set_user_sid)
  pdb_set_user_sid: setting user sid S-1-5-21-1303986770-3545483917-1813766081-3200
[2010/12/25 20:38:03.635530, 10] passdb/pdb_compat.c:72(pdb_set_user_sid_from_rid)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-1303986770-3545483917-1813766081-3200 from rid 3200
[2010/12/25 20:38:03.635546, 10] passdb/pdb_get_set.c:654(pdb_set_nt_username)
  pdb_set_nt_username: setting nt username andrew_stephens, was 
[2010/12/25 20:38:03.635556, 10] passdb/pdb_get_set.c:608(pdb_set_username)
  pdb_set_username: setting username andrew_stephens, was andrew_stephens
[2010/12/25 20:38:03.635568, 10] passdb/pdb_get_set.c:631(pdb_set_domain)
  pdb_set_domain: setting domain HYDRIX, was SERVER4
[2010/12/25 20:38:03.635584, 10] passdb/pdb_get_set.c:537(pdb_set_user_sid)
  pdb_set_user_sid: setting user sid S-1-5-21-1278045384-1068372184-3281002054-3200
[2010/12/25 20:38:03.635612, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1606410624 couldn't be found 
[2010/12/25 20:38:03.657954, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1606410624
[2010/12/25 20:38:03.657973, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1606410624
[2010/12/25 20:38:03.657985, 10] passdb/pdb_get_set.c:595(pdb_set_group_sid)
  pdb_set_group_sid: setting group sid S-1-5-21-1303986770-3545483917-1813766081-513
[2010/12/25 20:38:03.657998, 10] passdb/pdb_get_set.c:677(pdb_set_fullname)
  pdb_set_full_name: setting full name Andrew Stephens, was Andrew Stephens
[2010/12/25 20:38:03.658008, 10] passdb/pdb_get_set.c:700(pdb_set_logon_script)
  pdb_set_logon_script: setting logon script logon.bat, was 
[2010/12/25 20:38:03.658032, 10] passdb/pdb_get_set.c:723(pdb_set_profile_path)
  pdb_set_profile_path: setting profile path , was \\server4\andrew_stephens\profile
[2010/12/25 20:38:03.658042, 10] passdb/pdb_get_set.c:770(pdb_set_homedir)
  pdb_set_homedir: setting home dir , was /pool/home/andrew_stephens
[2010/12/25 20:38:03.658053, 10] passdb/pdb_get_set.c:746(pdb_set_dir_drive)
  pdb_set_dir_drive: setting dir drive H:, was 
[2010/12/25 20:38:03.658088,  3] auth/auth.c:265(check_ntlm_password)
  check_ntlm_password: winbind authentication for user [andrew.stephens] succeeded
[2010/12/25 20:38:03.658106,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658122,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.658133,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658143,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.658152,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.658181,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.658195,  5] auth/auth.c:291(check_ntlm_password)
  check_ntlm_password:  PAM Account for user [andrew_stephens] succeeded
[2010/12/25 20:38:03.658206,  2] auth/auth.c:304(check_ntlm_password)
  check_ntlm_password:  authentication for user [andrew.stephens] -> [andrew.stephens] -> [andrew_stephens] succeeded
[2010/12/25 20:38:03.658217,  5] auth/auth_util.c:2119(free_user_info)
  attempting to free (and zero) a user_info structure
[2010/12/25 20:38:03.658227, 10] auth/auth_util.c:2123(free_user_info)
  structure was created for andrew.stephens
[2010/12/25 20:38:03.658302, 10] auth/token_util.c:356(create_local_nt_token)
  Create local NT token for S-1-5-21-1278045384-1068372184-3281002054-3200
[2010/12/25 20:38:03.658356, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-544, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.658375,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658387,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.658397,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658409,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.658420,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.658482,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.658495, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-544
[2010/12/25 20:38:03.658506,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658517,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.658528,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658537,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.658547,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.658582, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-544, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.658603,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2010/12/25 20:38:03.658619,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658631,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2010/12/25 20:38:03.658649,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.658661,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.658709,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.658721, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-544
[2010/12/25 20:38:03.658794, 10] groupdb/mapping.c:766(pdb_create_builtin_alias)
  Trying to create builtin alias 544
[2010/12/25 20:38:03.658808, 10] passdb/lookup_sid.c:965(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-544'
[2010/12/25 20:38:03.658826, 10] passdb/lookup_sid.c:720(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2010/12/25 20:38:03.658837, 10] passdb/lookup_sid.c:480(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2010/12/25 20:38:03.658850, 10] passdb/lookup_sid.c:1000(lookup_sid)
  Sid S-1-5-32-544 -> BUILTIN\Administrators(4)
[2010/12/25 20:38:03.659176,  3] groupdb/mapping.c:787(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2010/12/25 20:38:03.659195,  5] auth/token_util.c:306(create_builtin_administrators)
  create_builtin_administrators: Failed to create Administrators
[2010/12/25 20:38:03.659217,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.659231,  2] auth/token_util.c:453(create_local_nt_token)
  WARNING: Failed to create BUILTIN\Administrators group!  Can Winbind allocate gids?
[2010/12/25 20:38:03.659251, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-545, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.659269,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659283,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.659307,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659319,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.659330,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.659381,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.659393, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-545
[2010/12/25 20:38:03.659407,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659422,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.659433,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659445,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.659455,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.659486, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-32-545, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.659502,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2010/12/25 20:38:03.659516,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659528,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2010/12/25 20:38:03.659539,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.659550,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.659612,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.659625, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-32-545
[2010/12/25 20:38:03.659698, 10] groupdb/mapping.c:766(pdb_create_builtin_alias)
  Trying to create builtin alias 545
[2010/12/25 20:38:03.659710, 10] passdb/lookup_sid.c:965(lookup_sid)
  lookup_sid called for SID 'S-1-5-32-545'
[2010/12/25 20:38:03.659721, 10] passdb/lookup_sid.c:720(check_dom_sid_to_level)
  Accepting SID S-1-5-32 in level 1
[2010/12/25 20:38:03.659732, 10] passdb/lookup_sid.c:480(lookup_rids)
  lookup_rids called for domain sid 'S-1-5-32'
[2010/12/25 20:38:03.659748, 10] passdb/lookup_sid.c:1000(lookup_sid)
  Sid S-1-5-32-545 -> BUILTIN\Users(4)
[2010/12/25 20:38:03.660028,  3] groupdb/mapping.c:787(pdb_create_builtin_alias)
  pdb_create_builtin_alias: Could not get a gid out of winbind
[2010/12/25 20:38:03.660045,  5] auth/token_util.c:277(create_builtin_users)
  create_builtin_users: Failed to create Users
[2010/12/25 20:38:03.660067,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.660092,  2] auth/token_util.c:477(create_local_nt_token)
  WARNING: Failed to create BUILTIN\Users group! Can Winbind allocate gids?
[2010/12/25 20:38:03.660103,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.660117,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.660128,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.660140,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.660150,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.660811,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.660845,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3200]
[2010/12/25 20:38:03.660863,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-2015]
[2010/12/25 20:38:03.660879,  5] lib/privileges.c:128(get_privileges_for_sids)
  get_privileges_for_sids: sid = S-1-1-0
  Privilege set:
  SE_PRIV  0x0 0x0 0x0 0x0
[2010/12/25 20:38:03.660905,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-2]
[2010/12/25 20:38:03.660921,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-11]
[2010/12/25 20:38:03.660940,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7013]
[2010/12/25 20:38:03.660958,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7111]
[2010/12/25 20:38:03.660974,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1505]
[2010/12/25 20:38:03.660991,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7015]
[2010/12/25 20:38:03.661007,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3161]
[2010/12/25 20:38:03.661023,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1501]
[2010/12/25 20:38:03.661039,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1125]
[2010/12/25 20:38:03.661058,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1503]
[2010/12/25 20:38:03.661093,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3001]
[2010/12/25 20:38:03.661111,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7047]
[2010/12/25 20:38:03.661127,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7117]
[2010/12/25 20:38:03.661143,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3125]
[2010/12/25 20:38:03.661160,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1807]
[2010/12/25 20:38:03.661176,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7131]
[2010/12/25 20:38:03.661192,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1511]
[2010/12/25 20:38:03.661208,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-513]
[2010/12/25 20:38:03.661224,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-7113]
[2010/12/25 20:38:03.661240,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3055]
[2010/12/25 20:38:03.661256,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1805]
[2010/12/25 20:38:03.661272,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1507]
[2010/12/25 20:38:03.661294,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1509]
[2010/12/25 20:38:03.661324,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-3163]
[2010/12/25 20:38:03.661341,  3] lib/privileges.c:63(get_privileges)
  get_privileges: No privileges assigned to SID [S-1-5-21-1278045384-1068372184-3281002054-1513]
[2010/12/25 20:38:03.661370, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-2015 couldn't be found 
[2010/12/25 20:38:03.673091, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-2015
[2010/12/25 20:38:03.673118, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-2015
[2010/12/25 20:38:03.673131, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-2015 to gid, ignoring it
[2010/12/25 20:38:03.673152, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-1-0, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.673168,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.673180,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.673191,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.673201,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.673210,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.673258,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.673271, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-1-0
[2010/12/25 20:38:03.673292, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-1-0 to gid, ignoring it
[2010/12/25 20:38:03.673309, 10] lib/gencache.c:345(gencache_get_data_blob)
  Returning valid cache entry: key = IDMAP/SID2GID/S-1-5-2, value = -1, timeout = Sat Dec 25 20:39:55 2010
[2010/12/25 20:38:03.673325,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.673342,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.673353,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.673365,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.673376,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.673430,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.673444, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-2
[2010/12/25 20:38:03.673457, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-2 to gid, ignoring it
[2010/12/25 20:38:03.673477, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-11 couldn't be found 
[2010/12/25 20:38:03.675718, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-11
[2010/12/25 20:38:03.675736,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.675753,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.675764,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.675776,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.675787,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.675850,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.675864, 10] passdb/lookup_sid.c:1256(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-11
[2010/12/25 20:38:03.675874, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-11 to gid, ignoring it
[2010/12/25 20:38:03.675896, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7013 couldn't be found 
[2010/12/25 20:38:03.687545, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7013
[2010/12/25 20:38:03.687563, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7013
[2010/12/25 20:38:03.687576, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7013 to gid, ignoring it
[2010/12/25 20:38:03.687599, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7111 couldn't be found 
[2010/12/25 20:38:03.698719, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7111
[2010/12/25 20:38:03.698743, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7111
[2010/12/25 20:38:03.698755, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7111 to gid, ignoring it
[2010/12/25 20:38:03.698776, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1505 couldn't be found 
[2010/12/25 20:38:03.709987, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1505
[2010/12/25 20:38:03.710029, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1505
[2010/12/25 20:38:03.710041, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1505 to gid, ignoring it
[2010/12/25 20:38:03.710076, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7015 couldn't be found 
[2010/12/25 20:38:03.721089, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7015
[2010/12/25 20:38:03.721107, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7015
[2010/12/25 20:38:03.721135, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7015 to gid, ignoring it
[2010/12/25 20:38:03.721164, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-3161 couldn't be found 
[2010/12/25 20:38:03.732305, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-3161
[2010/12/25 20:38:03.732322, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-3161
[2010/12/25 20:38:03.732338, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-3161 to gid, ignoring it
[2010/12/25 20:38:03.732369, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1501 couldn't be found 
[2010/12/25 20:38:03.743608, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1501
[2010/12/25 20:38:03.743637, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1501
[2010/12/25 20:38:03.743655, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1501 to gid, ignoring it
[2010/12/25 20:38:03.743677, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1125 couldn't be found 
[2010/12/25 20:38:03.755468, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1125
[2010/12/25 20:38:03.755492, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1125
[2010/12/25 20:38:03.755508, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1125 to gid, ignoring it
[2010/12/25 20:38:03.755531, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1503 couldn't be found 
[2010/12/25 20:38:03.766725, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1503
[2010/12/25 20:38:03.766742, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1503
[2010/12/25 20:38:03.766754, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1503 to gid, ignoring it
[2010/12/25 20:38:03.766776, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-3001 couldn't be found 
[2010/12/25 20:38:03.777845, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-3001
[2010/12/25 20:38:03.777863, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-3001
[2010/12/25 20:38:03.777885, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-3001 to gid, ignoring it
[2010/12/25 20:38:03.777909, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7047 couldn't be found 
[2010/12/25 20:38:03.788993, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7047
[2010/12/25 20:38:03.789011, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7047
[2010/12/25 20:38:03.789021, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7047 to gid, ignoring it
[2010/12/25 20:38:03.789050, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7117 couldn't be found 
[2010/12/25 20:38:03.800058, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7117
[2010/12/25 20:38:03.800077, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7117
[2010/12/25 20:38:03.800088, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7117 to gid, ignoring it
[2010/12/25 20:38:03.800110, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-3125 couldn't be found 
[2010/12/25 20:38:03.813350, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-3125
[2010/12/25 20:38:03.813369, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-3125
[2010/12/25 20:38:03.813389, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-3125 to gid, ignoring it
[2010/12/25 20:38:03.813412, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1807 couldn't be found 
[2010/12/25 20:38:03.824791, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1807
[2010/12/25 20:38:03.824810, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1807
[2010/12/25 20:38:03.824822, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1807 to gid, ignoring it
[2010/12/25 20:38:03.824846, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7131 couldn't be found 
[2010/12/25 20:38:03.836545, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7131
[2010/12/25 20:38:03.836562, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7131
[2010/12/25 20:38:03.836578, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7131 to gid, ignoring it
[2010/12/25 20:38:03.836604, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1511 couldn't be found 
[2010/12/25 20:38:03.848019, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1511
[2010/12/25 20:38:03.848036, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1511
[2010/12/25 20:38:03.848051, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1511 to gid, ignoring it
[2010/12/25 20:38:03.848085, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-513 couldn't be found 
[2010/12/25 20:38:03.858989, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-513
[2010/12/25 20:38:03.859006, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-513
[2010/12/25 20:38:03.859021, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-513 to gid, ignoring it
[2010/12/25 20:38:03.859048, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-7113 couldn't be found 
[2010/12/25 20:38:03.870350, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-7113
[2010/12/25 20:38:03.870368, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-7113
[2010/12/25 20:38:03.870384, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-7113 to gid, ignoring it
[2010/12/25 20:38:03.870408, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-3055 couldn't be found 
[2010/12/25 20:38:03.882452, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-3055
[2010/12/25 20:38:03.882470, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-3055
[2010/12/25 20:38:03.882485, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-3055 to gid, ignoring it
[2010/12/25 20:38:03.882517, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1805 couldn't be found 
[2010/12/25 20:38:03.893646, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1805
[2010/12/25 20:38:03.893663, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1805
[2010/12/25 20:38:03.893680, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1805 to gid, ignoring it
[2010/12/25 20:38:03.893704, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1507 couldn't be found 
[2010/12/25 20:38:03.904835, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1507
[2010/12/25 20:38:03.904852, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1507
[2010/12/25 20:38:03.904867, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1507 to gid, ignoring it
[2010/12/25 20:38:03.904894, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1509 couldn't be found 
[2010/12/25 20:38:03.916169, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1509
[2010/12/25 20:38:03.916187, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1509
[2010/12/25 20:38:03.916202, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1509 to gid, ignoring it
[2010/12/25 20:38:03.916229, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-3163 couldn't be found 
[2010/12/25 20:38:03.927752, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-3163
[2010/12/25 20:38:03.927770, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-3163
[2010/12/25 20:38:03.927785, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-3163 to gid, ignoring it
[2010/12/25 20:38:03.927812, 10] lib/gencache.c:334(gencache_get_data_blob)
  Cache entry with key = IDMAP/SID2GID/S-1-5-21-1278045384-1068372184-3281002054-1513 couldn't be found 
[2010/12/25 20:38:03.938800, 10] passdb/lookup_sid.c:1511(sid_to_gid)
  winbind failed to find a gid for sid S-1-5-21-1278045384-1068372184-3281002054-1513
[2010/12/25 20:38:03.938818, 10] passdb/lookup_sid.c:1283(legacy_sid_to_gid)
  LEGACY: mapping failed for sid S-1-5-21-1278045384-1068372184-3281002054-1513
[2010/12/25 20:38:03.938835, 10] auth/auth_util.c:753(create_local_token)
  Could not convert SID S-1-5-21-1278045384-1068372184-3281002054-1513 to gid, ignoring it
[2010/12/25 20:38:03.938862, 10] auth/token_util.c:531(debug_nt_user_token)
  NT user token of user S-1-5-21-1278045384-1068372184-3281002054-3200
  contains 29 SIDs
  SID[  0]: S-1-5-21-1278045384-1068372184-3281002054-3200
  SID[  1]: S-1-5-21-1278045384-1068372184-3281002054-2015
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
  SID[  5]: S-1-5-21-1278045384-1068372184-3281002054-7013
  SID[  6]: S-1-5-21-1278045384-1068372184-3281002054-7111
  SID[  7]: S-1-5-21-1278045384-1068372184-3281002054-1505
  SID[  8]: S-1-5-21-1278045384-1068372184-3281002054-7015
  SID[  9]: S-1-5-21-1278045384-1068372184-3281002054-3161
  SID[ 10]: S-1-5-21-1278045384-1068372184-3281002054-1501
  SID[ 11]: S-1-5-21-1278045384-1068372184-3281002054-1125
  SID[ 12]: S-1-5-21-1278045384-1068372184-3281002054-1503
  SID[ 13]: S-1-5-21-1278045384-1068372184-3281002054-3001
  SID[ 14]: S-1-5-21-1278045384-1068372184-3281002054-7047
  SID[ 15]: S-1-5-21-1278045384-1068372184-3281002054-7117
  SID[ 16]: S-1-5-21-1278045384-1068372184-3281002054-3125
  SID[ 17]: S-1-5-21-1278045384-1068372184-3281002054-1807
  SID[ 18]: S-1-5-21-1278045384-1068372184-3281002054-7131
  SID[ 19]: S-1-5-21-1278045384-1068372184-3281002054-1511
  SID[ 20]: S-1-5-21-1278045384-1068372184-3281002054-513
  SID[ 21]: S-1-5-21-1278045384-1068372184-3281002054-7113
  SID[ 22]: S-1-5-21-1278045384-1068372184-3281002054-3055
  SID[ 23]: S-1-5-21-1278045384-1068372184-3281002054-1805
  SID[ 24]: S-1-5-21-1278045384-1068372184-3281002054-1507
  SID[ 25]: S-1-5-21-1278045384-1068372184-3281002054-1509
  SID[ 26]: S-1-5-21-1278045384-1068372184-3281002054-3163
  SID[ 27]: S-1-5-21-1278045384-1068372184-3281002054-1513
  SID[ 28]: S-1-22-1-1100
  SE_PRIV  0x0 0x0 0x0 0x0
[2010/12/25 20:38:03.939018, 10] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 1100
  Primary group is 20 and contains 0 supplementary groups
[2010/12/25 20:38:03.939034, 10] auth/auth_ntlmssp.c:139(auth_ntlmssp_check_password)
  Got NT session key of length 16
[2010/12/25 20:38:03.939046, 10] libsmb/ntlmssp.c:815(ntlmssp_server_auth)
  ntlmssp_server_auth: Created NTLM2 session key.
[2010/12/25 20:38:03.939067,  3] libsmb/ntlmssp_sign.c:343(ntlmssp_sign_init)
  NTLMSSP Sign/Seal - Initialising with flags:
[2010/12/25 20:38:03.939081,  3] libsmb/ntlmssp.c:65(debug_ntlmssp_flags)
  Got NTLMSSP neg_flags=0x60088215
    NTLMSSP_NEGOTIATE_UNICODE
    NTLMSSP_REQUEST_TARGET
    NTLMSSP_NEGOTIATE_SIGN
    NTLMSSP_NEGOTIATE_NTLM
    NTLMSSP_NEGOTIATE_ALWAYS_SIGN
    NTLMSSP_NEGOTIATE_NTLM2
    NTLMSSP_NEGOTIATE_128
    NTLMSSP_NEGOTIATE_KEY_EXCH
[2010/12/25 20:38:03.939135, 10] smbd/password.c:278(register_existing_vuid)
  register_existing_vuid: (1100,20) andrew_stephens andrew.stephens HYDRIX guest=0
[2010/12/25 20:38:03.939176,  3] smbd/password.c:282(register_existing_vuid)
  register_existing_vuid: User name: andrew_stephens	Real name: Andrew Stephens
[2010/12/25 20:38:03.939189,  3] smbd/password.c:292(register_existing_vuid)
  register_existing_vuid: UNIX uid 1100 is UNIX user andrew_stephens, and will be vuid 100
[2010/12/25 20:38:03.939202, 10] lib/dbwrap_tdb.c:100(db_tdb_fetch_locked)
  Locking key 49442F35373531322F31
[2010/12/25 20:38:03.939216, 10] lib/dbwrap_tdb.c:129(db_tdb_fetch_locked)
  Allocated locked data 0x0x803896c90
[2010/12/25 20:38:03.940671, 10] lib/dbwrap_tdb.c:42(db_tdb_record_destr)
  Unlocking key 49442F35373531322F31
[2010/12/25 20:38:03.940719,  7] param/loadparm.c:9399(lp_servicenumber)
  lp_servicenumber: couldn't find andrew_stephens
[2010/12/25 20:38:03.941648,  3] smbd/password.c:223(register_homes_share)
  Adding homes service for user 'andrew_stephens' using home directory: '/export/home/andrew_stephens'
[2010/12/25 20:38:03.941693,  8] param/loadparm.c:6163(add_a_service)
  add_a_service: Creating snum = 15 for andrew_stephens
[2010/12/25 20:38:03.941704, 10] param/loadparm.c:6210(hash_a_service)
  hash_a_service: hashing index 15 for service name andrew_stephens
[2010/12/25 20:38:03.941715,  3] param/loadparm.c:6265(lp_add_home)
  adding home's share [andrew_stephens] for user 'andrew_stephens' at '/export/home/andrew_stephens'
[2010/12/25 20:38:03.941743,  6] param/loadparm.c:7133(lp_file_list_changed)
  lp_file_list_changed()
  file /usr/local/etc/smb.conf -> /usr/local/etc/smb.conf  last mod_time: Sat Dec 25 19:52:09 2010
  
[2010/12/25 20:38:03.941782,  5] lib/util.c:617(show_msg)
[2010/12/25 20:38:03.941791,  5] lib/util.c:627(show_msg)
  size=100
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51203
  smb_tid=0
  smb_pid=57495
  smb_uid=100
  smb_mid=3
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    9 (0x9)
  smb_bcc=57
[2010/12/25 20:38:03.941854, 10] ../lib/util/util.c:278(_dump_data)
  [0000] A1 07 30 05 A0 03 0A 01   00 55 00 6E 00 69 00 78   ..0..... .U.n.i.x
  [0010] 00 00 00 53 00 61 00 6D   00 62 00 61 00 20 00 33   ...S.a.m .b.a. .3
  [0020] 00 2E 00 35 00 2E 00 36   00 00 00 48 00 59 00 44   ...5...6 ...H.Y.D
  [0030] 00 52 00 49 00 58 00 00   00                       .R.I.X.. .
[2010/12/25 20:38:03.942018, 10] lib/util_sock.c:726(read_smb_length_return_keepalive)
  got smb length of 78
[2010/12/25 20:38:03.942038,  6] smbd/process.c:1482(process_smb)
  got message type 0x0 of len 0x4e
[2010/12/25 20:38:03.942049,  3] smbd/process.c:1485(process_smb)
  Transaction 3 of length 82 (0 toread)
[2010/12/25 20:38:03.942065,  5] lib/util.c:617(show_msg)
[2010/12/25 20:38:03.942072,  5] lib/util.c:627(show_msg)
  size=78
  smb_com=0x75
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=8
  smb_flg2=51201
  smb_tid=65535
  smb_pid=57495
  smb_uid=100
  smb_mid=4
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    8 (0x8)
  smb_vwv[ 3]=    1 (0x1)
  smb_bcc=35
[2010/12/25 20:38:03.942138, 10] ../lib/util/util.c:278(_dump_data)
  [0000] 00 5C 00 5C 00 53 00 45   00 52 00 56 00 45 00 52   .\.\.S.E .R.V.E.R
  [0010] 00 34 00 5C 00 49 00 50   00 43 00 24 00 00 00 49   .4.\.I.P .C.$...I
  [0020] 50 43 00                                          PC. 
[2010/12/25 20:38:03.942172,  3] smbd/process.c:1294(switch_message)
  switch message SMBtconX (pid 57512) conn 0x0
[2010/12/25 20:38:03.942183,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.942192,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.942204,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.942228,  5] smbd/uid.c:369(change_to_root_user)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2010/12/25 20:38:03.942244,  4] smbd/reply.c:786(reply_tcon_and_X)
  Client requested device type [IPC] for share [IPC$]
[2010/12/25 20:38:03.942276,  5] smbd/service.c:1227(make_connection)
  making a connection to 'normal' service ipc$
[2010/12/25 20:38:03.942292,  3] lib/access.c:362(only_ipaddrs_in_list)
  only_ipaddrs_in_list: list has non-ip address (192.168.0.)
[2010/12/25 20:38:03.942306,  3] lib/access.c:396(check_access)
  check_access: hostnames in host allow/deny list.
[2010/12/25 20:38:03.942327,  2] lib/access.c:406(check_access)
  Allowed connection from 192.168.0.8 (192.168.0.8)
[2010/12/25 20:38:03.942345, 10] smbd/share_access.c:238(user_ok_token)
  user_ok_token: share IPC$ is ok for unix user andrew_stephens
[2010/12/25 20:38:03.942362,  3] smbd/sec_ctx.c:210(push_sec_ctx)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.942374,  3] smbd/uid.c:429(push_conn_ctx)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2010/12/25 20:38:03.942387,  3] smbd/sec_ctx.c:310(set_sec_ctx)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2010/12/25 20:38:03.942396,  5] auth/token_util.c:525(debug_nt_user_token)
  NT user token: (NULL)
[2010/12/25 20:38:03.942405,  5] auth/token_util.c:551(debug_unix_user_token)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2010/12/25 20:38:03.942433, 10] lib/account_pol.c:333(account_policy_get)
  account_policy_get: name: password history, val: 0
[2010/12/25 20:38:03.942450,  3] smbd/sec_ctx.c:418(pop_sec_ctx)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2010/12/25 20:38:03.942468, 10] passdb/pdb_get_set.c:608(pdb_set_username)
  pdb_set_username: setting username andrew_stephens, was 
[2010/12/25 20:38:03.942478, 10] passdb/pdb_get_set.c:631(pdb_set_domain)
  pdb_set_domain: setting domain HYDRIX, was 
[2010/12/25 20:38:03.942486, 10] passdb/pdb_get_set.c:654(pdb_set_nt_username)
Comment 6 Volker Lendecke 2010-12-25 03:45:27 UTC
[2010/12/25 20:28:04.203734, 10] auth/auth_winbind.c:85(check_winbind_security)                       
  check_winbind_security: wbcAuthenticateUserEx failed: WBC_ERR_AUTH_ERROR      

It looks as if you're using winbind. Can you send us all the winbind logs as well? (There's more than one log.winbindd, log.wb-* and so on)

Thanks,

Volker
Comment 7 Jean-Yves Avenard 2010-12-25 04:13:04 UTC
Created attachment 6165 [details]
All log.winbind

This includes all log.winbindd.
There were generated as follow:
rm -rf log.winbind*

run smbclient with correct password
run smbclient with incorrect password
run smbclient with correct password
Comment 8 Jean-Yves Avenard 2010-12-25 04:24:48 UTC
I should add that while winbindd may be running, the system isn't configured to use it
Comment 9 Jean-Yves Avenard 2010-12-25 07:36:19 UTC
I can confirm that if winbindd doesn't run, then the issue doesn't occur
Comment 10 Volker Lendecke 2010-12-26 02:54:51 UTC
Unfortunately the interesting pieces of winbind logs are missing. As I wrote in comment #6, There are also log.wb-* files. Please also upload them.

Thanks,

Volker
Comment 11 Jean-Yves Avenard 2010-12-26 03:28:42 UTC
Created attachment 6166 [details]
log.wb-*

As requested log.wb-* files.

Files were generated as follow:
delete all log.wb-*

restart samba. Log to homes share with proper password
log to homes share with incorrect password (generate NT code 0x1c010002)
log to homes share with incorrect password (NT code 0x1c010002).

wbinfo -u and wbinfo -g shows that everything is properly configured.

Note that I have now reverted back to Samba 3.3 as it works fine (3.4 had other issues). winbind is now in use and properly running.
Comment 12 Volker Lendecke 2010-12-26 04:43:52 UTC
You have a VERY small "max log size set". The succesful authentication is unfortunately not present in those log files. Would it be possible that you set "max log size = 0" for that test?

With best regards,

Volker
Comment 13 Jean-Yves Avenard 2010-12-26 05:15:33 UTC
Created attachment 6167 [details]
New archive with all winbind and wb-* log

Hopefully 3rd time lucky
Comment 14 Volker Lendecke 2010-12-26 05:29:37 UTC
This time there are only successful login attempts in the logs. I think someone with development skills needs to reproduce this, this ping-pong does not get anywhere.

Volker
Comment 15 Jean-Yves Avenard 2010-12-26 05:49:45 UTC
Created attachment 6168 [details]
The whole samba log directory

[root@server4 /usr/ports/net/samba35]# net join -U diradmin
Enter diradmin's password:
Joined domain HYDRIX.
[root@server4 /usr/ports/net/samba35]# /usr/local/etc/rc.d/samba restart
Performing sanity check on Samba configuration: OK
winbindd not running? (check /var/run/samba/winbindd.pid).
smbd not running? (check /var/run/samba/smbd.pid).
nmbd not running? (check /var/run/samba/nmbd.pid).
Removing stale Samba tdb files: . done
Starting nmbd.
Starting smbd.
Starting winbindd.

#Good password
[root@server4 /usr/ports/net/samba35]# smbclient -U avenardj //server4/homes
Enter avenardj's password: 
Domain=[HYDRIX] OS=[Unix] Server=[Samba 3.5.6]
smb: \> exit

#Good password
[root@server4 /usr/ports/net/samba35]# smbclient -U avenardj //server4/homes
Enter avenardj's password: 
Domain=[HYDRIX] OS=[Unix] Server=[Samba 3.5.6]
smb: \> exit

#Bad password
[root@server4 /usr/ports/net/samba35]# smbclient -U avenardj //server4/homes
Enter avenardj's password: 
session setup failed: NT code 0x1c010002

#Good password
[root@server4 /usr/ports/net/samba35]# smbclient -U avenardj //server4/homes
Enter avenardj's password: 
session setup failed: NT code 0x1c010002

[root@server4 /usr/ports/net/samba35]# /usr/local/etc/rc.d/samba restart
Performing sanity check on Samba configuration: OK
Stopping winbindd.
Waiting for PIDS: 91333.
Stopping smbd.
Waiting for PIDS: 91329.
Stopping nmbd.
Waiting for PIDS: 91323.
Removing stale Samba tdb files: ........ done
Starting nmbd.
Starting smbd.
Starting winbindd.

#Good password
[root@server4 /usr/ports/net/samba35]# smbclient -U avenardj //server4/homes
Enter avenardj's password: 
Domain=[HYDRIX] OS=[Unix] Server=[Samba 3.5.6]
smb: \> exit
Comment 16 Volker Lendecke 2010-12-26 07:27:28 UTC
What is the value of "max log size" in your smb.conf file? To me it seems that you have set "max log size = 100", which is much too small for getting all the logs needed. Please increase that significantly, or, as I've tried to indicate in one earlier comment.

With best regards,

Volker Lendecke
Comment 17 Volker Lendecke 2011-03-05 14:47:20 UTC
Created attachment 6279 [details]
Patch for 3.5

This is a 3.0 bug, but the attached patch should properly work around it.

Volker
Comment 18 Volker Lendecke 2011-03-05 15:45:55 UTC
Created attachment 6280 [details]
Equivalent patch for 3.6
Comment 19 Guenther Deschner 2011-06-30 07:53:52 UTC
Created attachment 6651 [details]
patch for 3.6
Comment 20 Stefan Metzmacher 2011-06-30 08:07:15 UTC
Comment on attachment 6651 [details]
patch for 3.6

Looks good
Comment 21 Stefan Metzmacher 2011-06-30 08:07:50 UTC
Karolin, please pick for the release
Comment 22 Karolin Seeger 2011-06-30 17:46:29 UTC
(In reply to comment #20)
> Comment on attachment 6651 [details]
> patch for 3.6
> 
> Looks good

Pushed to v3-6-test.
Patch also applies to v3-5-test.
Please confirm that it should be pushed to v3-5-test (and maybe v3-4-test) also.
Thanks!
Comment 23 Stefan Metzmacher 2011-07-01 20:57:06 UTC
(In reply to comment #22)
> (In reply to comment #20)
> > Comment on attachment 6651 [details] [details]
> > patch for 3.6
> > 
> > Looks good
> 
> Pushed to v3-6-test.
> Patch also applies to v3-5-test.
> Please confirm that it should be pushed to v3-5-test (and maybe v3-4-test)
> also.
> Thanks!

For me that doesn't apply to v3-5-test

v3-5-test/source3$ git chpx 97055cee026b4f1b0e2730786a94390f6515593e
error: could not apply 97055ce... s3-winbind: Fix bug 7888 -- deal with buggy 3.0 based PDCs
hint: after resolving the conflicts, mark the corrected paths
hint: with 'git add <paths>' or 'git rm <paths>'
hint: and commit the result with 'git commit -c 97055ce'

And the code looks different in v3-5-test.

Günther can you prepare a patch that applies to 3.5?

metze
Comment 24 Stefan Metzmacher 2011-07-30 08:36:06 UTC
Günther any updates on this?
Comment 25 Guenther Deschner 2011-09-28 16:14:00 UTC
Created attachment 6958 [details]
v3-5-test.patch
Comment 26 Stefan Metzmacher 2011-09-28 16:54:16 UTC
Comment on attachment 6958 [details]
v3-5-test.patch

Looks good
Comment 27 Stefan Metzmacher 2011-09-28 16:54:55 UTC
Karolin, please pick for the next release
Comment 28 Karolin Seeger 2011-09-28 18:26:47 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!